All Classes Namespaces Functions Variables Pages
Discrete1DFunction Class Reference

This is a TabulatedFunction that computes a discrete one dimensional function f(x). More...

Inheritance diagram for Discrete1DFunction:

## Public Member Functions

def | __init__
| init(OpenMM::Discrete1DFunction self, vectord values) -> Discrete1DFunction More...
def | getFunctionParameters
| getFunctionParameters(Discrete1DFunction self) More...
def | setFunctionParameters
| setFunctionParameters(Discrete1DFunction self, vectord values) More...
def | Copy
| Copy(Discrete1DFunction self) -> Discrete1DFunction. More...
def | __del__
| del(OpenMM::Discrete1DFunction self) More...
Public Member Functions inherited from TabulatedFunction
def | __init__
def | __del__
| del(OpenMM::TabulatedFunction self) More...
def | Copy
| Copy(TabulatedFunction self) -> TabulatedFunction. More...

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a discrete one dimensional function f(x).

To evaluate it, x is rounded to the nearest integer and the table element with that index is returned. If the index is outside the range [0, size), the result is undefined.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::Discrete1DFunction self, vectord values) -> Discrete1DFunction

This is a TabulatedFunction that computes a discrete one dimensional function f(x). To evaluate it, x is rounded to the nearest integer and the table element with that index is returned. If the index is outside the range [0, size), the result is undefined.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::Discrete1DFunction self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def Copy | ( |  | self,
|  |  | args
| ) |  |

Copy(Discrete1DFunction self) -> Discrete1DFunction.

References simtk.openmm.openmm.stripUnits().

def getFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

getFunctionParameters(Discrete1DFunction self)

References simtk.openmm.openmm.stripUnits().

def setFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

setFunctionParameters(Discrete1DFunction self, vectord values)

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py